<comment>
    # 组件注释
</comment>
<template>
    <div class="childrenComponentByrefs children0">
      <p>子组件</p>
      {{parentMsg}}
    </div>
</template>

<script>
    //import logo from '../../../static/logo.png'
    export default {
        name: 'childrenComponentByrefs',
        components: {
            //Xgplayer :  () => import('../xgplayer'),
        },
        data() {
            return {
              parentMsg : '父组件的消息'
            }
        },
        //作为子组件的时候应用父组件的时候设定的变量
        props: {
          children : String
        },
        //用来观察 方法 对象 变量 有变化 走的回调方法
        watch: {},
        //正常方法
        methods: {
          setParentMsg(msg){
            this.parentMsg = msg;
          }
        },
        //计算方法
        computed: {},
        //生命周期 渲染html之前 可以初始化数据
        created() {

        },
        //生命周期 渲染html完毕 可以dom操作
        mounted() {

        },
        //生命周期 离开这个页面
        destroyed() {

        }
    }
</script>

<style scoped>
  .children0{
    width: 14rem;
    height: 4rem;
    background: #ff627a;
  }
</style>
